Межсайтовый скриптинг в FeedDemon

Дата публикации:
22.09.2006
Дата изменения:
05.02.2009
Всего просмотров:
1015
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FeedDemon 1.x
FeedDemon 2.x
Уязвимые версии: FeedDemon версии до 2.0.0.25

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной проверки данных при обработке Atom кананлов. Удаленный пользователь может с помощью специально сформированного Atom канала выполнить произвольный код сценария в приложении.

URL производителя: www.newsgator.com/NGOLProduct.aspx?ProdId=FeedDemon

Решение: Установите последнюю версию (2.0.0.25) с сайта производителя.

Ссылки: http://www.cgisecurity.com/papers/RSS-Security.ppt
http://nick.typepad.com/blog/2006/08/feed_security_a_1.html
http://nick.typepad.com/blog/2006/08/ann_feeddemon_2.html

или введите имя

CAPTCHA